ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Driver.Backend.Internal

Contents

- Name of a back end

Description

In versions of GHC up through 9.2, a `Backend` was represented only by its name. This module is meant to aid clients written against the GHC API, versions 9.2 and older. The module provides an alternative way to name any back end found in GHC 9.2. /Code within the GHC source tree should not import this module./ (#20927).

Only back ends found in version 9.2 have names.

Synopsis

- data BackendName
  - = NCG
  - | LLVM
  - | ViaC
  - | JavaScript
  - | Interpreter
  - | NoBackend

# Name of a back end

data BackendName #

Constructors

NCG | Names the native code generator backend.
LLVM | Names the LLVM backend.
ViaC | Names the Via-C backend.
JavaScript | Names the JS backend.
Interpreter | Names the ByteCode interpreter.
NoBackend | Names the `-fno-code` backend.

#### Instances

Instances details

Show BackendName # |
Instance details Defined in GHC.Driver.Backend.Internal Methods showsPrec :: Int -> BackendName -> ShowS # show :: BackendName -> String # showList :: [BackendName] -> ShowS #
Eq BackendName # |
Instance details Defined in GHC.Driver.Backend.Internal Methods (==) :: BackendName -> BackendName -> Bool # (/=) :: BackendName -> BackendName -> Bool #